import request from '@/utils/request'

// 查询绩效年薪列表
export function listSalaryyear(query) {
  return request({
    url: '/system/salaryyear/list',
    method: 'get',
    params: query
  })
}

// 查询绩效年薪详细
export function getSalaryyear(id) {
  return request({
    url: '/system/salaryyear/' + id,
    method: 'get'
  })
}

// 新增绩效年薪
export function addSalaryyear(data) {
  return request({
    url: '/system/salaryyear',
    method: 'post',
    data: data
  })
}

// 修改绩效年薪
export function updateSalaryyear(data) {
  return request({
    url: '/system/salaryyear',
    method: 'put',
    data: data
  })
}

// 删除绩效年薪
export function delSalaryyear(id) {
  return request({
    url: '/system/salaryyear/' + id,
    method: 'delete'
  })
}

// 导出绩效年薪
export function exportSalaryyear(query) {
  return request({
    url: '/system/salaryyear/export',
    method: 'get',
    params: query
  })
}

// 导出绩效年薪
export function submitYear(data) {
  return request({
    url: '/system/salaryreport/submitYear',
    method: 'post',
    data: data
  })
}
